%define module      Email-Simple
%define name        perl-%{module}
%define version     2.00.3
%define up_version  2.003
%define release     %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Simple parsing of RFC2822 message format and headers
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Email::Simple is the first deliverable of the "Perl Email Project", a reaction
against the complexity and increasing bugginess of the Mail::* modules. In
contrast, Email::* modules are meant to be simple to use and to maintain, pared
to the bone, fast, minimal in their external dependencies, and correct.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.00.3-2mdv2008.1
+ Revision: 180394
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00.3-1mdv2008.0
+ Revision: 55631
- update to new version 2.00.3


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.8-1mdv2007.1
+ Revision: 138839
- new version

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.6-1mdv2007.1
+ Revision: 87873
- new version

* Fri Nov 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.5-1mdv2007.1
+ Revision: 85089
- new version
- Import perl-Email-Simple

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.99.0-1mdv2007.0
- New version (upstream version 1.990)

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.98.0-1mdv2007.0
- New version (upstream version: 1.980)

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-2mdk
- fix summary

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-1mdk
- first mdk release

